import request from '@/utils/request'
import Qs from 'qs'

export function listStoreUser(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.storeuser',
      _mt: 'list',
      ...query
    }
  })
}

export function createStoreUser(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.storeuser',
      _mt: 'create',
      ...data
    })
  })
}

export function updateStoreUser(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.storeuser',
      _mt: 'edit',
      ...data
    })
  })
}

export function deleteStoreUser(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.storeuser',
      _mt: 'delete',
      id: id
    }
  })
}
